local ONEFOURFIXESVER = 2
if onefourfixes == nil then
	rawset(_G, "onefourfixes", {})
end

if onefourfixes.ver == ONEFOURFIXESVER then

local FRACUNIT = FRACUNIT

onefourfixes.storePreviousDriftValues = function(mobj, player)
	mobj.jug_previousDriftSpark = player.kartstuff[k_driftcharge]
	mobj.jug_previousDriftAngle = player.kartstuff[k_drift]
end

onefourfixes.undoRemovingDrifts = function(mobj, player)
	local isMobjInAir = P_IsObjectOnGround(mobj) == false
	local notInPogo = player.kartstuff[k_pogospring] == 0
	local driftIsDifferent = mobj.jug_previousDriftAngle ~= player.kartstuff[k_drift]

	if mobj.jug_previousDriftSpark ~= nil then
		if isMobjInAir and notInPogo and driftIsDifferent then
			player.kartstuff[k_driftcharge] = mobj.jug_previousDriftSpark
			-- print("fixed drift spark")
		end
	end
end

onefourfixes.undoWrongDriftWhenGrown = function(mobj, player)
	local largerThanNormal = (mobj.scale > FRACUNIT)
	local minimumSpeed = (10 * mobj.scale)
	local inPogo = player.kartstuff[k_pogospring] > 0

	if mobj.jug_previousDriftSpark ~= nil and mobj.jug_previousDriftAngle ~= nil then
		if largerThanNormal and player.speed < minimumSpeed and inPogo and
			player.kartstuff[k_drift] == 0 then

			player.kartstuff[k_drift] 		= mobj.jug_previousDriftAngle
			player.kartstuff[k_driftcharge] = mobj.jug_previousDriftSpark
			-- print("fixed grow drift")
		end
	end
end

end