local ONEFOURFIXESVER = 2
if onefourfixes == nil then
	rawset(_G, "onefourfixes", {})
end

if onefourfixes.ver == nil or onefourfixes.ver < ONEFOURFIXESVER then

-- fixes jawz crashing if their particles go out of bounds
if not (mobjinfo[MT_BOOMPARTICLE].flags & MF_NOCLIP) then
	mobjinfo[MT_BOOMPARTICLE].flags = $ + MF_NOCLIP
end

-- fixes sinks crashing due to invalid painstate after being hurt
if mobjinfo[MT_SINK].painstate == 256*FRACUNIT then
	mobjinfo[MT_SINK].painstate = S_NULL
end

-- fixes bumpcode'd and magnet landing
addHook("MobjThinker", function(mobj)
	local player = mobj.player
	if not player or not player.valid then return end

	onefourfixes.fixFrictionShenanigans(mobj, player)
	onefourfixes.removeThunderShieldOnFirst20Sec(mobj, player)
	-- drift
	onefourfixes.undoRemovingDrifts(mobj, player)
	onefourfixes.undoWrongDriftWhenGrown(mobj, player)
	onefourfixes.storePreviousDriftValues(mobj, player)
end, MT_PLAYER)

onefourfixes.ver = ONEFOURFIXESVER
end